# TrackMania (2020) OAuth2 authentication module

## How to install it

Add this in your composer.json file:

```json
"repositories": [
    {
        "url": "https://git.virtit.fr/beu/oauth2-trackmania.git",
        "type": "git"
    }
],
```

change the value of `minimum-stability` to dev in it.

then launch the command:

```bash
composer require beu/oauth2-trackmania
```

## How to configure it

Install the security bundle:

```bash
composer require symfony/security-bundle
```

Then create the User Entity 

```bash
php bin/console make:user
```

Note that you have to answer **no** to the question `Does this app need to hash/check user passwords?`

Then, you could copy the files `TrackMania.php` in `src/Controller/OAuth2/` and `TrackManiaAuthenticator.php` in `src/Security/`